package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class DfdgrpVo extends AbstractCommonVo {

    private DfdVo rec;

    private DftVo blk;

    private DfacbsVo cbs;

    private PtsptaVo dff;

    private PtsptaVo apl;

    private PtsptaVo tp9;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new DfdVo();
        }
        if (blk == null) {
            blk = new DftVo();
        }
        if (cbs == null) {
            cbs = new DfacbsVo();
        }
        cbs.reset();
        if (dff == null) {
            dff = new PtsptaVo();
        }
        dff.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (tp9 == null) {
            tp9 = new PtsptaVo();
        }
        tp9.reset();
    }
}
